<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Mapping DTD Version 1.0//EN"
                         "http://castor.codehaus.org/mapping.dtd">

<mapping>
	
	<class name="info.bukova.isspst.data.SettingsData" auto-complete="true" >
		<map-to xml="settings-data"/>
		<field name="refunds" collection="map">
			
			<bind-xml name="refunds">
            <class name="org.exolab.castor.mapping.MapItem">
                <field name="key" type="java.lang.Integer">
                    <bind-xml name="key" node="attribute" />
                </field>
                <field name="value" collection="array" type="java.math.BigDecimal">
                    <bind-xml name="nested" />
                </field>
            </class>
        	</bind-xml>
		</field>
	</class>

</mapping>